AutoCAD Inventor :: API To Get Inner And Outer Loop Of Sphere
Mar 6, 2013
I have a sphere body whose material is partly removed by a boolen subtraction with another sphere. When I query the EdgeLoop of sphere for Outer edge loop using function InvEdgeLoopPtr::GetIsOuterEdgeLoop(), I always get a value of VARIANT_TRUE. check for the inner and outer loop of a sphere? use the attached file for reference.
1. find the attached “Rays on Oval.png” file. (Tried attaching .cdr file but the File Size is 400KB.)
2. I would like to Repeat / Duplicate that Black Color on Outer Path of Oval Shape. (Like shown in the Yellow versus Black. The Yellow is a Circle and the Black is from Star Tool)
3. I think the Best Bet would be to Link the Rays to the Outer Path of Oval Shape.
4. I need the Rays and Oval as 2 Different Objects so that I could Change the Color Scheme.
I have a sphere which I'm able to project on a sketch of smaller circles which I'd like to engrave over it's surface, yet I want each of them to be perpendicular to the surface of the sphere in each point. Emboss doesn't do the trick, it just makes the engraving perpendicular to the plane.
Any step by step procedure, to create semi-sphere in Inventor or how to draw semi-sphere ?I am unable get this semi-sphere, using all the "extrude", split" options.
I've been attempting to create a sphere with an Earth texture, for which I've made a custom appearance with a flattened picture of earth. Instead of wrapping to the sphere, however, the image is mirrored on both sides of the sphere and extremely distorted. I knew wrapping 2D geometry to a sphere was not strictly possible, but is there no way to pull it off with an image?
If not, would something like this be possible in 3DS max?
I have a funnel with a curved top. I'm trying to project an inset of the border onto the curved surface and use the shell command to create a hollow funnel with an overhanging lip. I have projected the inset successfully, but cannot select the resulting smaller face, just the whole original face.
A similar problem that I tried while attempting to figure this out was shelling a sphere. 2d sketch -> 3d sketch project onto surface, and try applying shell to the resulting "face". However I can only select the whole face when trying to shell.
I am trying to create a spheric container with a irregular pattern of different triangle as show in the example attached.
What would be the best way to creat this part? i was thinking of creating each triangle in a different .ipt and after assemble them all toghter. But this will take ages and a lot of ipt.
I'm looking to use Inventor Studio to render a model, using an image sphere (e.g. Stuttgart Courtyard) as the background.
I cannot find the installed location for these images, so even if it is the active view, Inventor will not allow me to render it, and I cannot manually select the file as my image sphere.
Also, are additional such image spheres available for download?
I need a path on a sphere like on the image I attached (sphere_spiral) for the result similar to image called "gomb". The only problem, metric spiral or coil / 3d helical curve path won't work because it doesn't end the result I need, because the lines are converging each other. So, I figured out I need a logarithmic spiral 2D sketch or maybe a sinusoidal path.
I need a path from the sphere's top center point to the bottom center point, projected to its surface with equal distance of lines.
Have sketched the geometry for an 18 tooth circular sawblade. However I have had difficulty applying the close loop function. As a result am not yet able to extrude the saw blade. What to do to implement close loop?
I am trying to create a logic rule to replace the model reference in a idw file and then save as using the new file reference name. I am able to do this for individual files or components within an assembly file.
However what I would like is to check through all files of a certain type (for example ipt with filenames beginning "SSUA" ) in a specific folder.
The following code from Curtis Waguespack works well for individual selected files but I would like to take it a stage further with the above parameters.
Dim oDoc as DocumentoDoc = ThisDoc.DocumentDim oRefFile As FileDescriptorDim oOrigRefName As Object For Each oRefFile In oDoc.file.ReferencedFileDescriptors'get the full file path to the original internal referencesoOrigRefName = oRefFile.FullFileName'present a File Selection dialogDim oFileDlg As inventor.FileDialog = NothingInventorVb.Application.CreateFileDialog(oFileDlg)oFileDlg.InitialDirectory [Code]........
I have VB code that loops through and utilizes Excel data to pick which file(s) to open, update, and close. Then it opens the appropriate .idw file, updates it and saves it as a .pdf.
and that writes the file to my desktop as a .pdf.
However, as the loop runs over and over, it will find another data set that is the same A60 type, so it will want to save OVER that .pdf it's already created.
How do I go about having a variable filename? Something where it would add a _01 _02 _03 (or similar) to the end of the filename (i.e. A60_01.pdf, A60_02.pdf).
I am currently designing a heat exchanger and want to adjust the number of water channel using iLogic. The number of channels to be active is based on the channel dimensions, and is calculated in my excel spreadsheet, but up to a maximum of 19. This is stored in the parameter "no_channel". Each channel is a seperate feature (extrusion) and named from "Channel 1" though "Channel 19".
My idea of doing this automation was to have iLogic suppress all the features, and then doing a closed loop to unsuppres the features I want active:
Feature.IsActive("Channel 1") = FalseFeature.IsActive("Channel 2") = False...Feature.IsActive("Channel 19") = FalseFor i = 1 To no_channelFeature.IsActive("Channel"(i)) = TrueNext
However, this gives me the following error:
Error in rule: Number of channels, in document: Radiator fin side.ipt
Feature.IsActive: No feature found with the name: "h".
I'm desperate to know how should i heal the errors for loop orientation issues. I had imported the .stp file into inventor so i can do stress analysis. After imported the file and enter into repair environment, after i find the errors shown 9 errors in loop orientation issues.
I am not sure exactly why this is a limited feature of Inventor 2011 but when you want to select a sketch to create a boundary patch you have to select each part of the sketch in sequence. It's a pretty laborious task. I am looking to a way to automate this using i logic.
I am attempting to split a face so I have a good area to apply a load in simulation and 3/4 of the areas split just fine but I CANNOT get the 4th area to split! This is all just projected geometry but left and right are symmetrical so I can't figure out why the L side works but not the R side.
way to redefine a point that was placed in a model with a "Center of Loop of Edges" command? Inventor doesn't seem to recognize type of placement unless it's been selected from the Point drop-down menu, but picking this in the midst of a redefine only creates a new point, it doesn't redefine the original point.
As it is, I've been forced to just delete the original point, create a new one and go from there.
Infrastructure DSP '14 / Product DSP '14 / Vault Professional 2014 Dell Precision T1650 Windows 7 Professional SP1 64-bit Intel E3-1270 V2 3.5GHz / 32G RAM Nvidia Quadro 2000, Driver 331.82 Space Navigator, Driver Version 6.17.7
I'm designing a lift truck with a "chain over" lift - the lift cylinder has a sprocket mounted on the end of the rod, and the chain is grounded on one side. The other end of the chain is mounted to a lifting carriage so that as the cylinder extends and pushes the sprocket up, the chain rolls over it and the carriage moves up (at twice the speed of the cylinder). This is nothing new - it's pretty much how every single fork truck in the world operates.
My question is this: can I use the roller chain generator to model this chain, or should I model the links and array them along a path? My thinking is that if I can use the chain generator, I should be able to animate the chain using Dynamic Simulation. But the chain generator seems to require a minimum of 2 sprockets in order to work - there's no way that I can see to have a "non-looped" chain or any way to just ground the end of the chain.
I'd like to use the Cable and Wiring tools to model some fibre optics. I can see how this could work well, being able to set and check for the minimum bend radius. However, I'd also like to include a loop of greater than minimum bend radius between the two connection points, we tend to do this to reduce strain on the fibres. Any elegant solution for inserting the loop?
I have just started to use ilogic, what i want to do is measure the length of a loop in a sketch and then use this measurement as a parameter.
I have found this rule that will measure the loop length and display it in a message box
Dim se As SketchEntity = ThisDoc.Document.ComponentDefinition.Sketches(1).SketchLines(1) MsgBox(ThisApplication.MeasureTools.GetLoopLength(se)*10 & " mm")
but i do not know how to capture the measurement as a parameter .
I want continuously to display the loop measuring of a Spline/Arc/Line/Slope (or even have it as a dimension / parameter on a sketch/part) because it change in relation to the block-position that constrains to the slope.
I'd like to create a macro that I can run from within an assembly that will loop through each BOM item and add the quantity req'd to a custom property within the component. I'm very familiar with VBA from Office, but I'm new to it with respect to Inventor so I'm pretty fuzzy with object titles and options.
Here's an outline of what I'd like to do:
Execute Macro from within Assembly file
For Each BOM Item to # of BOM Items
If Vendor = "Make" then Set Component Custom Property "Qty_Reqd" = Total Qty from BOM Endif
I am trying to setup some rules to print various PDF files which we have managed to do without any problems.
The bit I am stuck on is when one of the PDF files being saved is open by another user.
We have been able to error trap it when it is open by showing a message box on error asking them to close the file befopre continuing. The current message box being used is the Retry / Cancel box.
When the user clicks Retry we would like it to re-run the rule, or loops through the rule and check is the file is still open. If the file is open return the same error, and if the file has been closed save the PDF file. When Cancel is pressed it ends the rule (This Bit has been done).
My questions is how do I get the rule to re-run / loop through when the retry button is pressed.
Is it also possible to show the user who has the file open (or Previewing it in a Window Explorer)?
I have attached the Code currently Being used but I can post it here of preferred?
Being all new and complete virgin-like, to ilogic, I would like to know wether it is possible to analyze a sketch (wenn it is being closed)?
What I want to analyze is:
Does the sketch contain a fully constrained closed loop?
Does this closed loop consist only of straight lines?
What is the total number of lines in the loop?
Next fase is:
Create an excel-sheet with the following information:
For each line in this closed loop i wish to add the length of the line, and the angle to the next line (consequently on the internal side of the loop, resulting in angles from 0 to 180 degrees).
I have lists of Documents I am altering and saving automatically in a loop, The problem is that if the file needs to be migrated you get a dialog box in your face for every file in the list. How can I temporarally turn the dialog off?